## kf6-kirigami-addons 1.10.0+p24.04+vstable+git20251028.0817

=== templates/kirigamiaddons6/CMakeLists.txt ===
# SPDX-FileCopyrightText: %{CURRENT_YEAR} %{AUTHOR} <%{EMAIL}>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.24)

project(%{APPNAMELC} VERSION 1.0.0)

include(FeatureSummary)

set(QT6_MIN_VERSION 6.7.0)
set(KF6_MIN_VERSION 6.12.0)
set(KIRIGAMI_ADDONS_MIN_VERSION 1.10.0)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(FeatureSummary)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(ECMAddAndroidApk)

if (NOT ANDROID)
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
endif()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX %{APPNAMEUC}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/version-%{APPNAMELC}.h"
)

set(QT_EXTRA_COMPONENTS)
if (NOT ANDROID)
    list(APPEND QT_EXTRA_COMPONENTS Widgets)
endif()

find_package(Qt6 ${QT6_MIN_VERSION} REQUIRED COMPONENTS Qml ${QT_EXTRA_COMPONENTS})
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Kirigami CoreAddons Config I18n)

find_package(KF6KirigamiAddons ${KIRIGAMI_ADDONS_MIN_VERSION} REQUIRED)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components and runtime dependency"
)

ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard)
ecm_find_qmlmodule(org.kde.kirigamiaddons.statefulapp)

add_subdirectory(src)

install(FILES org.kde.%{APPNAMELC}.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.%{APPNAMELC}.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (NOT ANDROID)
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

## kf6-kirigami-addons 1.9.0

=== debian/changelog ===
kf6-kirigami-addons (1:1.9.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 13 Aug 2025 06:38:01 +0000

kf6-kirigami-addons (1:1.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Jul 2025 09:33:11 +0000

kf6-kirigami-addons (1:1.8.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 May 2025 09:33:18 +0000

kf6-kirigami-addons (1:1.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Jan 2025 09:33:10 +0000

kf6-kirigami-addons (1:1.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 01 Dec 2024 09:33:09 +0000

kf6-kirigami-addons (1:1.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Oct 2024 09:33:09 +0000

kf6-kirigami-addons (1:1.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 Jul 2024 09:33:45 +0000

kf6-kirigami-addons (1:1.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 27 Jun 2024 09:33:07 +0000

kf6-kirigami-addons (1:1.2.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 May 2024 09:40:24 +0000

kf6-kirigami-addons (1:1.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 May 2024 09:33:06 +0000

kf6-kirigami-addons (1:1.1.0-0neon) noble; urgency=medium

  [ Jonathan Esk-Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Apr 2024 09:33:05 +0000

kf6-kirigami-addons (1:1.0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Thu, 22 Feb 2024 10:02:34 +0000

kf6-kirigami-addons (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kirigami-addons (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

=== debian/control ===
Source: kf6-kirigami-addons
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               kf6-ksvg-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kirigami-addons.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kirigami-addons
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kirigami-addons
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kirigami2,
         kf6-kitemmodels,
         kf6-qqc2-desktop-style,
         qt6-base,
         qt6-declarative,
         qt6-multimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkirigami-addons,
          libkirigami-addons-data,
          libkirigami-addons-doc,
          libkirigamiaddons,
          libkirigamiaddons-data,
          libkirigamiaddons-doc,
          qml6-module-org-kde-kirigami-addons,
          qml6-module-org-kde-kirigami-addons-components,
          qml6-module-org-kde-kirigami-addons-datetime,
          qml6-module-org-kde-kirigami-addons-delegates,
          qml6-module-org-kde-kirigami-addons-formcard,
          qml6-module-org-kde-kirigami-addons-labs-components,
          qml6-module-org-kde-kirigami-addons-labs-mobileform,
          qml6-module-org-kde-kirigami-addons-sounds,
          qml6-module-org-kde-kirigami-addons-treeview,
          qml6-module-org-kde-kirigamiaddons,
          qml6-module-org-kde-kirigamiaddons-components,
          qml6-module-org-kde-kirigamiaddons-datetime,
          qml6-module-org-kde-kirigamiaddons-delegates,
          qml6-module-org-kde-kirigamiaddons-formcard,
          qml6-module-org-kde-kirigamiaddons-labs-components,
          qml6-module-org-kde-kirigamiaddons-labs-mobileform,
          qml6-module-org-kde-kirigamiaddons-sounds,
          qml6-module-org-kde-kirigamiaddons-treeview
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: kf6-kirigami-addons-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-ki18n-dev,
         kf6-kirigami-addons (= ${binary:Version}),
         kf6-ksvg-dev,
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-multimedia-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkirigami-addons-dev, libkirigamiaddons-dev
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

Package: libkirigami-addons
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigami-addons-data
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigami-addons-dev
Architecture: all
Depends: kf6-kirigami-addons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigami-addons-doc
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamiaddons
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamiaddons-data
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamiaddons-dev
Architecture: all
Depends: kf6-kirigami-addons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamiaddons-doc
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-components
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-datetime
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-delegates
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-formcard
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-labs-components
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-labs-mobileform
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-settings
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-sounds
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami-addons-treeview
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-components
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-datetime
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-delegates
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-formcard
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-labs-components
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-labs-mobileform
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-settings
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-sounds
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigamiaddons-treeview
Architecture: all
Depends: kf6-kirigami-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_EXAMPLES=ON

## kf6-kirigami-addons 1.9.0+p24.04+vstable+git20250927.0011

=== debian/changelog ===
kf6-kirigami-addons (1:1.9.0+p24.04+vstable+git20250927.0011-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 00:11:59 +0000

## kf6-kirigami-addons 1.10.0

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0-0zneon+24.04+noble+release+build34) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 09:19:26 +0000

kf6-kirigami-addons (1:1.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 09:33:11 +0000

## kf6-kirigami-addons 1.10.0+p24.04+vstable+git20250927.0934

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vstable+git20250927.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 09:34:26 +0000

## kf6-kirigami-addons 1.10.0+p24.04+vstable+git20251009.0522

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vstable+git20251009.0522-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 05:22:38 +0000

## kf6-kirigami-addons 1.10.0+p24.04+vstable+git20251015.0940

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vstable+git20251015.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:40:25 +0000

## kf6-kirigami-addons 1.10.0+p24.04+vstable+git20251024.0203

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vstable+git20251024.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:04:05 +0000

## kf6-kirigami-addons 1.10.0+p24.04+vstable+git20251028.0817

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vstable+git20251028.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:17:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               kde-qdoc-common-dev,
                kf6-extra-cmake-modules,
+               kf6-kcrash-dev,
                kf6-kglobalaccel-dev,
                kf6-ki18n-dev,
+               kf6-kiconthemes-dev,
                kf6-kirigami2-dev,
                kf6-ksvg-dev,
                pkg-kde-tools-neon,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/kirigami-addons/kirigami-addons@ANY_VERSION@@ARCHIVE_EXT@

## kf6-kirigami-addons 1.10.0+p24.04+vstable+git20260101.0114

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vstable+git20260101.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:14:32 +0000

## kf6-kirigami-addons 1.10.0+p24.04+vstable+git20260102.1201

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Aleix Pol Gonzalez <aleixpol@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KirigamiApp SHARED)

if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
    ecm_generate_qdoc(KirigamiApp kirigamiapp.qdocconf)
endif()

target_compile_definitions(KirigamiApp PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_app6\")

target_sources(KirigamiApp PRIVATE kirigamiapp.cpp kirigamiappdefaults.cpp)

target_link_libraries(KirigamiApp PRIVATE
    Qt6::QuickControls2
    Qt6::Qml
    KF6::CoreAddons
    KF6::I18n
    KF6::ColorScheme
)
if(NOT ANDROID)
    target_link_libraries(KirigamiApp PRIVATE Qt6::Widgets KF6::Crash KF6::IconThemes)
endif()

target_include_directories(KirigamiApp
    PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KirigamiAddons/App>"
)

ecm_generate_export_header(KirigamiApp
    VERSION ${PROJECT_VERSION}
    BASE_NAME KirigamiApp
    USE_VERSION_HEADER
    DEPRECATION_VERSIONS
)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX KIRIGAMIAPP
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigamiapp_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAppConfigVersion.cmake"
    SOVERSION 6
)

ecm_generate_headers(KirigamiApp_CamelCase_HEADERS
    HEADER_NAMES
        KirigamiApp
        KirigamiAppDefaults
    REQUIRED_HEADERS KirigamiApp_HEADERS
)

set_target_properties(KirigamiApp PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "KirigamiApp"
)

install(TARGETS KirigamiApp EXPORT KirigamiAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KirigamiApp_HEADERS}
    ${KirigamiApp_CamelCase_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kirigamiapp_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/kirigamiapp_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KirigamiAddons/App
    COMPONENT Devel
)

## kf6-kirigami-addons 1.10.0+p24.04+vunstable+git20251020.0302

=== templates/kirigamiaddons6/src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: %{CURRENT_YEAR} %{AUTHOR} <%{EMAIL}>

add_subdirectory(settings)

qt_add_library(%{APPNAMELC}_static STATIC)
ecm_add_qml_module(%{APPNAMELC}_static
    URI org.kde.%{APPNAMELC}
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        qml/Main.qml
    DEPENDENCIES
        org.kde.kirigamiaddons.formcard
        org.kde.kirigamiaddons.statefulapp
        org.kde.kirigami
        org.kde.%{APPNAMELC}.settings
)

target_sources(%{APPNAMELC}_static PRIVATE
    %{APPNAMELC}application.cpp
    %{APPNAMELC}application.h
)

target_link_libraries(%{APPNAMELC}_static PUBLIC
    Qt6::Quick
    KF6::I18n
    KF6::CoreAddons
    KF6::ConfigGui
    KirigamiAddonsStatefulApp
)
target_include_directories(%{APPNAMELC}_static PUBLIC ${CMAKE_BINARY_DIR})

if (ANDROID)
    kirigami_package_breeze_icons(ICONS
        list-add
        help-about
        application-exit
        applications-graphics
    )
else()
    target_link_libraries(%{APPNAMELC}_static PUBLIC Qt::Widgets)
endif()

kconfig_add_kcfg_files(%{APPNAMELC}_static GENERATE_MOC %{APPNAMELC}config.kcfgc)

add_executable(%{APPNAMELC} main.cpp)
target_link_libraries(%{APPNAMELC} PUBLIC
    KirigamiApp
    %{APPNAMELC}_static
    %{APPNAMELC}_staticplugin
    %{APPNAMELC}_settings
    %{APPNAMELC}_settingsplugin
)
install(TARGETS %{APPNAMELC} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_add_android_apk(%{APPNAMELC} ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vunstable+git20251020.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:02:55 +0000

## kf6-kirigami-addons 1.10.0+p24.04+vunstable+git20251204.0206

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vunstable+git20251204.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:06:34 +0000

## kf6-kirigami-addons 1.10.0+p24.04+vunstable+git20251206.0356

=== debian/changelog ===
kf6-kirigami-addons (1:1.10.0+p24.04+vunstable+git20251206.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:56:19 +0000

## kf6-kirigami-addons 1.11.0

=== debian/changelog ===
kf6-kirigami-addons (1:1.11.0-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 08:18:57 +0000

kf6-kirigami-addons (1:1.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 00:28:11 +0000

## kf6-kirigami-addons 1.11.0+p24.04+vstable+git20260202.1021

=== debian/changelog ===
kf6-kirigami-addons (1:1.11.0+p24.04+vstable+git20260202.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:21:15 +0000

## kf6-kirigami-addons 1.11.0+p24.04+vstable+git20260205.0436

=== debian/changelog ===
kf6-kirigami-addons (1:1.11.0+p24.04+vstable+git20260205.0436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:36:36 +0000

## kf6-kirigami-addons 1.11.0+p24.04+vunstable+git20260201.0622

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.20)

project(kirigami-addons VERSION 1.11.0)

include(FeatureSummary)

set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)

set(QT_REQUIRED_VERSION "6.8.0")
set(KF_MIN_VERSION "6.16.0")

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEPackageAppTemplates)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMQmlModule)
include(KDEClangFormat)
include(ECMGenerateQDoc)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick QuickControls2)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons GuiAddons ColorScheme)
if (BUILD_TESTING)
    find_package(Qt6QuickTest ${QT_REQUIRED_VERSION} CONFIG QUIET)
endif()
if (ANDROID)
    find_package(Gradle REQUIRED)
else()
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash IconThemes)
endif()

if(NOT WIN32 AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    find_package(KF6GlobalAccel ${KF_MIN_VERSION} REQUIRED)
    set(HAVE_KGLOBALACCEL TRUE)
else()
    set(HAVE_KGLOBALACCEL FALSE)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KirigamiAddons")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFKirigamiAddonsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KIRIGAMIADDONS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigamiaddons_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfigVersion.cmake"
)

add_subdirectory(src)

if (BUILD_TESTING AND BUILD_SHARED_LIBS)
    add_subdirectory(autotests)
endif()

option(BUILD_EXAMPLES OFF)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (NOT ANDROID)
    add_subdirectory(templates)
endif()

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/KirigamiAddonsMacros.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(EXPORT KirigamiAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KirigamiAddonsTargets.cmake COMPONENT Devel)

=== debian/changelog ===
kf6-kirigami-addons (1:1.11.0+p24.04+vunstable+git20260201.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:22:26 +0000

## kf6-kirigami-addons 1.11.0+p24.04+vunstable+git20260209.0617

=== debian/changelog ===
kf6-kirigami-addons (1:1.11.0+p24.04+vunstable+git20260209.0617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 06:17:26 +0000
